DCMTK - Bug #915

Some unit tests do not work if dictionary is not found
2019-12-13 12:09 - Michael Onken

Status: Closed Start date: 2019-12-13
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Testing Estimated time: 2:00 hours
Target version: 3.6.6

Module: all (with test cases) Compiler:

Operating System:

Description
Some unit tests do not work if dictionary is not found, leading to unexpected results that might be hard to understand.

Tests that require a dictionary should probably report the fact that if it is missing (or empty) in a clear and consistent way.

History

#1 - 2020-05-25 13:33 - Michael Onken

Such tests should probably return "not_run" or "failed".

#2 - 2020-05-25 13:33 - Michael Onken

- Target version set to 3.6.6

#3 - 2020-06-30 16:47 - J6rg Riesmeier
- Category set to Testing

- Status changed from New to Closed

- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100

- Estimated time set to 2:00 h

- Module set to all (with test cases)

Closed with commit b526dac.
